// Sample include file
// Eagle Transporter Model
// by Heinz Schuller
//
// Modified to POV format by colin Fleming, cj_fleming@btinternet.com
//
//------1---------2---------3---------4---------5---------6---------7---------8

// interior stuff
#declare DINTERIOR =
union {

	union {
		triangle { <-10, -5, 5>, <10, -5, 5>, <10, -5, -4.5> }
		triangle { <10, -5, -4.5>, <-10, -5, -4.5>, <-10, -5, 5> }
		triangle { <-10, 5, 5>, <-10, -5, 5>, <-10, -5, -4.5> }
		triangle { <-10, -5, -4.5>, <-10, 5, -4.5>, <-10, 5, 5> }
		triangle { <10, 5, 5>, <-10, 5, 5>, <-10, 5, -4.5> }
		triangle { <-10, 5, -4.5>, <10, 5, -4.5>, <10, 5, 5> }
		triangle { <10, -5, 5>, <10, 5, 5>, <10, 5, -4.5> }
		triangle { <10, 5, -4.5>, <10, -5, -4.5>, <10, -5, 5> }
		triangle { <-10, 5, 5>, <10, 5, 5>, <10, -5, 5> }
		triangle { <10, -5, 5>, <-10, -5, 5>, <-10, 5, 5> }
		triangle { <10, 5, -4.5>, <-10, 5, -4.5>, <-10, -5, -4.5> }
		triangle { <-10, -5, -4.5>, <10, -5, -4.5>, <10, 5, -4.5> }
		sphere { <5, -5, 0>, 3 }
		sphere { <-5, -5, 0>, 3 }
		sphere { <5, 5, 0>, 3 }
		sphere { <-5, 5, 0>, 3 }
		// texture space_gray2
		pigment { color Gray50 }
		finish { Shiny }
	}

	union {
		triangle { <-10, 10, 0>, <10, 10, 0>, <10, -10, 0> }
		triangle { <10, -10, 0>, <-10, -10, 0>, <-10, 10, 0> }
		// texture space_gray
		pigment { color Gray60 }
		finish { Shiny }
	}
	
}

//------1---------2---------3---------4---------5---------6---------7---------8

