// Sample include file
// Eagle Transporter Model
// by Heinz Schuller
//
// Modified to POV format by colin Fleming, cj_fleming@btinternet.com
//
//------1---------2---------3---------4---------5---------6---------7---------8

#include "det01.inc"
#include "det02.inc"
#include "det03.inc"
#include "det04.inc"
#include "det05.inc"
#include "det06.inc"

// landing pod detail

#declare MPODET =
union {
	// top
	object { DET01 translate z*6 }
	// front slant
	object { DET02 rotate x*45 translate <0, -6.3, 4.25> }
	// rear slant
	object { DET02 rotate x*-45 translate <0, 6.3, 4.25> }
	// left top slant
	object { DET03 rotate <45, 0, -90> translate <-7.375, 0, 4.25> }
	// right top slant
	object { DET04 rotate <45, 0, 90> translate <7.375, 0, 4.25> }
	// forward side
	object { DET05 rotate z*-90 translate x*-9 }
	// rear side
	object { DET06 rotate z*90 translate x*9 }
	// texture space_gray2
	pigment { color Gray50 }
	finish { Shiny }
}

//------1---------2---------3---------4---------5---------6---------7---------8
