// Sample include file
// Eagle Transporter Model
// by Heinz Schuller
//
// Modified to POV format by colin Fleming, cj_fleming@btinternet.com
//
//------1---------2---------3---------4---------5---------6---------7---------8

// rivets
// man we're getting carried away

#declare RIVET =
union {
	cone { y*-0.6, 0.2, 0, 0.2 }
	cone { y*-0.5, 0.3, y*-0.3, 0.3 }
	disc { y*-0.6, -y, 0.2 }
	disc { y*-0.5, -y, 0.3, 0.2 }
	disc { y*-0.3, y, 0.3, 0.2 }
	cone { <-0.3, 0, -0.6>, 0.5, <0.3, 0, -0.6>, 0.5 }
	disc { <-0.3, 0, -0.6>, -x, 0.5 }
	disc { <0.3, 0, -0.6>, x, 0.5 }
	triangle { <-0.3, -0.5, 0>, <0.3, -0.5, 0>, <0.3, -0.5, -0.6> }
	triangle { <0.3, -0.5, -0.6>, <-0.3, -0.5, -0.6>, <-0.3, -0.5, 0> }
	triangle { <-0.3, -0.3, 0>, <0.3, -0.3, 0>, <0.3, -0.3, -0.6> }
	triangle { <0.3, -0.3, -0.6>, <-0.3, -0.3, -0.6>, <-0.3, -0.3, 0> }
	triangle { <0.3, -0.5, 0>, <0.3, -0.3, 0>, <0.3, -0.3, -0.6> }
	triangle { <0.3, -0.3, -0.6>, <0.3, -0.5, -0.6>, <0.3, -0.5, 0> }
	triangle { <-0.3, -0.3, 0>, <-0.3, -0.5, 0>, <-0.3, -0.5, -0.6> }
	triangle { <-0.3, -0.5, -0.6>, <-0.3, -0.3, -0.6>, <-0.3, -0.3, 0> }
	// texture space_gray
	pigment { color Gray60 }
	finish { Shiny }
}

//------1---------2---------3---------4---------5---------6---------7---------8
