// Sample include file
// Eagle Transporter Model
// by Heinz Schuller
//
// Modified to POV format by colin Fleming, cj_fleming@btinternet.com
//
//------1---------2---------3---------4---------5---------6---------7---------8

#declare DET02 = 
union {
	// pod detail top main slope
	disc { <-3, 0, 0.25>, z, 1 }
	cylinder { <-3, 0, 0.25>, x*-3, 1 }

	disc { <-3, 0, 0.5>, z, 0.3 }
	cylinder { <-3, 0, 0.5>, x*-3, 0.3 }

	disc { <-3, 0.7, 0.5>, z, 0.1 }
	cylinder { <-3, 0.7, 0.5>, <-3, 0.7, 0>, 0.1 }

	disc { <-3.7, 0, 0.5>, z, 0.1 }
	cylinder { <-3.7, 0, 0.5>, <-3.7, 0, 0>, 0.1 }

	disc { <-2.3, 0, 0.5>, z, 0.1 }
	cylinder { <-2.3, 0, 0.5>, x*-2.3, 0.1 }

	disc { <-3, -0.7, 0.5>, z, 0.1 }
	cylinder { <-3, 0.7, -0.5>, <-3, 0.1, 0-0.7>, 0.1 }

	triangle { <1, 1, 0.25>, <5, 1, 0.25>, <5, -1, 0.25> }
	triangle { <5, -1, 0.25>, <1, -1, 0.25>, <1, 1, 0.25> }

	triangle { <1, -1, 0.25>, <5, -1, 0.25>, <5, -1, 0> }
	triangle { <5, -1, 0>, <1, -1, 0>, <1, -1, 0.25> }

	triangle { <1, 1, 0.25>, <1, -1, 0.25>, <1, -1, 0> }
	triangle { <1, -1, 0>, <1, 1, 0>, <1, 1, 0.25> }

	triangle { <5, -1, 0.25>, <5, 1, 0.25>, <5, 1, 0> }
	triangle { <5, 1, 0>, <5, -1, 0>, <5, -1, 0.25> }

	triangle { <5, 1, 0.25>, <1, 1, 0.25>, <1, 1, 0> }
	triangle { <1, 1, 0>, <5, 1, 0>, <5, 1, 0.25> }
}

//------1---------2---------3---------4---------5---------6---------7---------8

