// Sample include file
// Eagle Transporter Model
// by Heinz Schuller
//
// Modified to POV format by colin Fleming, cj_fleming@btinternet.com
//
//------1---------2---------3---------4---------5---------6---------7---------8

#declare DET04 = 
union {
	// right top pod detail slant
	triangle { <0.5, 1.5, 0.25>, <4, 1.5, 0.25>, <4, 0.5, 0.25> }
	triangle { <4, 0.5, 0.25>, <0.5, 0.5, 0.25>, <0.5, 1.5, 0.25> }

	triangle { <0.5, 1.5, 0.25>, <0.5, 0.5, 0.25>, <0.5, 0.5, 0> }
	triangle { <0.5, 0.5, 0>, <0.5, 1.5, 0>, <0.5, 1.5, 0.25> }

	triangle { <0.5, 0.5, 0.25>, <4, 0.5, 0.25>, <4, 0.5, 0> }
	triangle { <4, 0.5, 0>, <0.5, 0.5, 0>, <0.5, 0.5, 0.25> }

	triangle { <4, 0.5, 0.25>, <4, 1.5, 0.25>, <4, 1.5, 0> }
	triangle { <4, 1.5, 0>, <4, 0.5, 0>, <4, 0.5, 0.25> }

	triangle { <4, 1.5, 0.25>, <0.5, 1.5, 0.25>, <0.5, 1.5, 0> }
	triangle { <0.5, 1.5, 0>, <4, 1.5, 0>, <4, 1.5, 0.25> }

	triangle { <0.5, -0.5, 0.25>, <4, -0.5, 0.25>, <4, -1.5, 0.25> }
	triangle { <4, -1.5, 0.25>, <0.5, -1.5, 0.25>, <0.5, -0.5, 0.25> }

	triangle { <0.5, -0.5, 0.25>, <0.5, -1.5, 0.25>, <0.5, -1.5, 0> }
	triangle { <0.5, -1.5, 0>, <0.5, -0.5, 0>, <0.5, -0.5, 0.25> }

	triangle { <0.5, -1.5, 0.25>, <4, -1.5, 0.25>, <4, -1.5, 0> }
	triangle { <4, -1.5, 0>, <0.5, -1.5, 0>, <0.5, -1.5, 0.25> }

	triangle { <4, -1.5, 0.25>, <4, -0.5, 0.25>, <4, -0.5, 0> }
	triangle { <4, -0.5, 0>, <4, -1.5, 0>, <4, -1.5, 0.25> }

	triangle { <4, -0.5, 0.25>, <0.5, -0.5, 0.25>, <0.5, -0.5, 0> }
	triangle { <0.5, -0.5, 0>, <4, -0.5, 0>, <4, -0.5, 0.25> }

	// sphere
	sphere { x*-2.5, 0.75 }
}

//------1---------2---------3---------4---------5---------6---------7---------8

