// Sample include file
// Eagle Transporter Model
// by Heinz Schuller
//
// Modified to POV format by colin Fleming, cj_fleming@btinternet.com
//
//------1---------2---------3---------4---------5---------6---------7---------8

// gear
#declare LGEAR =
union {
	sphere { 0, 0.4 clipped_by { disc { z*-0.1, z, 1 } } }
	cone { z*-0.1, 0.3, z*-0.2, 0.2 }
	cone { z*-0.2, 0.2, z*-0.3, 0.3 }
	cone { z*-0.3, 0.3, z*-0.4, 0.2 }
	cone { z*-0.4, 0.2, z*-0.5, 0.3 }
	cone { z*-0.5, 0.3, z*-0.6, 0.2 }
	cone { z*-1.15, 0.4, z*-1.2, 0.4 }
	disc { z*-1.15, z, 0.4 }
	union {
		cone { z*-0.6, 0.2, z*-0.7, 0.2 }
		cone { z*-0.7, 0.1, z*-0.9, 0.1 }
		cone { z*-0.9, 0.05, z*-1.15, 0.05 }
		sphere { z*-1.15, 0.1 clipped_by { disc { z*-1.15, z, 1 } } }
		// surf { diff 0.1 0.1 0.1 spec 0.95 0.95 0.95 shine 100 white }
		pigment { color Gray95 }
		finish { Shiny }
		//pigment { color Red }
	}

}

//------1---------2---------3---------4---------5---------6---------7---------8

