// Sample include file
// Eagle Transporter Model
// by Heinz Schuller
//
// Modified to POV format by colin Fleming, cj_fleming@btinternet.com
//
//------1---------2---------3---------4---------5---------6---------7---------8

// landing pod detail
// endless

#declare PODETRT =
union {
	union {
		// black guards
		triangle { <-5, -8.02, 2.5>, <0, -8.02, 0>, <-5, -8.02, -2.5> }
		triangle { <-3, -8.02, 2.5>, <3, -8.02, 2.5>, <0, -8.02, 0> }
		triangle { <0, -8.02, 0>, <5, -8.02, 2.5>, <5, -8.02, -2.5> }
		triangle { <-3, -8.02, -2.5>, <0, -8.02, 0>, <3, -8.02, -2.5> }
		// texture surf { diff 0.1 0.1 0.1 shine 100 white }
		pigment { color Gray10 }
		finish { Shiny }
	}
	union {
		triangle { <-1.5, -9.5, 1>, <1.5, -9.5, 1>, <1.5, -9.5, -1> }
		triangle { <1.5, -9.5, -1>, <-1.5, -9.5, -1>, <-1.5, -9.5, 1> }
		triangle { <-1.5, -8.02, 1>, <1.5, -8.02, 1>, <1.5, -9.5, 1> }
		triangle { <1.5, -9.5, 1>, <-1.5, -9.5, 1>, <-1.5, -8.02, 1> }
		triangle { <-1.5, -8.02, -1>, <-1.5, -8.02, 1>, <-1.5, -9.5, 1> }
		triangle { <-1.5, -9.5, 1>, <-1.5, -9.5, -1>, <-1.5, -8.02, -1> }
		triangle { <-1.5, -9.5, -1>, <1.5, -9.5, -1>, <1.5, -8.02, -1> }
		triangle { <1.5, -8.02, -1>, <-1.5, -8.02, -1>, <-1.5, -9.5, -1> }
		triangle { <1.5, -8.02, 1>, <1.5, -8.02, -1>, <1.5, -9.5, -1> }
		triangle { <1.5, -9.5, -1>, <1.5, -9.5, 1>, <1.5, -8.02, 1> }
		cone { <0, -8.9, 2>, 0.5, <0, -8.75, 0.5>, 0.25 }
		cone { <0, -8.9, -2>, 0.5, <0, -8.75, -0.5>, 0.25 }
		cone { <-2.5, -8.9, 0>, 0.5, <-0.5, -8.75, 0>, 0.25 }
		cone { <2.5, -8.9, 0>, 0.5, <0.5, -8.75, 0>, 0.25 }
		// texture Fuzz_Lum
		texture {
			pigment { color rgb 0.91 }
			finish { diffuse 0.5 phong 1 phong_size 50 reflection 0.2 }
		}
	}
}

//------1---------2---------3---------4---------5---------6---------7---------8
