// Eagle Texture library
// by Heinz Schuller
//------1---------2---------3---------4---------5---------6---------7---------8

#define GRAY_MATTE \
surface { \
	diffuse 0.6 0.6 0.6 \
	shine 100 white \
}

#define BLUE_MATTE \
surface { \
	diffuse 0.3 0.3 0.3 \
	shine 100 white \
}

#define BLACK_MATTE \
surface { \
	diffuse 0.2 0.2 0.2 \
	shine 100 white \
}

#define space_gray \
surface { \
	diffuse 0.6 0.6 0.6 \
	shine 100 white \
}

#define space_gray2 \
surface { \
	diffuse 0.5 0.5 0.5 \
	shine 100 white \
}

#define space_gray3 \
surface { \
	diffuse 0.2 0.2 0.2 \
	shine 100 white \
}

#define RKT_1 \
surface { \
	diffuse 0.2 0.2 0.2 \
	shine 100 white \
}

#define Alum2 (0.91 0.91 0.91) \

#define Fuzz_Lum \
surface { \
	diffuse Alum2/2 \
	spec Alum2/2 \
	shine 20 Alum2 \
	fuzz 0.05 \
}

#define FLARE_OUT \
surface { \
	diffuse sky_blue \
	transparent 1 1 1 \
}

#define FLARE_IN \
surface { \
	diffuse sky_blue * 1.5 \
	ambient sky_blue * 0.6 \
	transparent 0.3 0.3 0.3 \
}

// cockpit bumpmaps

#define UL_MATTE \
surface { \
	diffuse 0.6 0.6 0.6 \
	shine 100 white \
}

#define LL_MATTE \
surface { \
	diffuse 0.6 0.6 0.6 \
	shine 100 white \
}

//------1---------2---------3---------4---------5---------6---------7---------8
